[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: qemu-img in EPEL overrides kvm-qemu-img in RHEL



Once upon a time, Stephen John Smoogen <smooge gmail com> said:
> The script I am using needs a lot of
> tweaking still things like ImageMagick and GraphicsMagick both provide
> vicar.so but not in conflicting ways.

Well, if something requires vicar.so those two package conflict in that
you may pull in the wrong (or at least unexpected) one.  That gets back
to a flaw in the way requires and depends are auto-determined; private
.so files get "promoted" to public for RPM dependencies.

-- 
Chris Adams <cmadams hiwaay net>
Systems and Network Administrator - HiWAAY Internet Services
I don't speak for anybody but myself - that's enough trouble.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]